package com.hai.service.impl;

import com.hai.dao.HighActivityAwardMapper;
import com.hai.entity.HighActivityAward;
import com.hai.entity.HighActivityAwardExample;
import com.hai.service.HighActivityAwardService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("activityAwardService")
public class HighActivityAwardServiceImpl implements HighActivityAwardService {

    @Resource
    private HighActivityAwardMapper highActivityAwardMapper;

    @Override
    public List<HighActivityAward> getListByActivityId(Long activityId) {
        HighActivityAwardExample example = new HighActivityAwardExample();
        example.createCriteria().andActivityInfoIdEqualTo(activityId).andStatusNotEqualTo(0);
        return highActivityAwardMapper.selectByExample(example);
    }
}
